Skip to navigation

Get AutomationTemplate by ID

Beta
Get a single AutomationTemplate by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automation_template_idstringRequired
ID of the AutomationTemplate.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
configVariablesstringOptionalformat: "uri"
createdAtstringOptional
createdFromPipelineobject or nullOptional
creatorobjectOptional
dataFrameVariablesstringOptionalformat: "uri"
idstringOptional
modifiedAtstringOptional
namestringOptional
stepsstringOptionalformat: "uri"
templateCollectionobjectOptional
webUrlstring or nullOptional

Errors

400
Automation Template Get Request Bad Request Error
403
Automation Template Get Request Forbidden Error
404
Automation Template Get Request Not Found Error
429
Automation Template Get Request Too Many Requests Error
500
Automation Template Get Request Internal Server Error